Subject: Re: DHCP and SCSP

From: Tim Salo <[email-masked]>
Date: Wed, 4 Nov 1998 18:12:32 -0500 (EST)

> Date: Fri, 16 Oct 1998 16:08:28 -0400
> To: [email-masked]
> From: Ralph Droms <[email-masked]>
> Subject: Re: DHCP and SCSP
> 
> At 1:16 PM -0400 10/9/98, Tim Salo wrote:
> >Can anyone provide me a summary of why the DHCP working group concluded
> >that SCSP wasn't the most appropriate method of synchronizing DHCP
> >servers?
> 
> The WG concluded that the proposed synchronization protocol for DHCP
> servers was  complex and depended on SCSP, which is, as yet, not completed.

I probably don't understand what you mean when you say SCSP isn't complete.
SCSP has progressed to a standards track RFC (RFC 2334, April 1998).
Our implementation of SCSP, supporting ATMARP, is available in our
Host ATM Research Platform (HARP) software, which is distributed with
FreeBSD 3.0.

Do you believe that SCSP might be incomplete, perhaps missing some
functionality to support your particular needs?

Were the complexities associated with a distributed DHCP service,
with using SCSP for synchronization, or something else?

> The WG decided to pursue a simpler "failover" protocol, which provides less
> function but is much less complex and can be implemented today.

Would an SCSP implementation reduce this complexity?

-tjs

---

From: Tim Salo <[email-masked]>
Date: Wed, 4 Nov 1998 18:19:21 -0500 (EST)

> Host ATM Research Platform (HARP) software, which is distributed with

http://www.msci.magic.net/harp/

Oops,
	-tjs

---

From: Ralph Droms <[email-masked]>
Date: Mon, 9 Nov 1998 22:01:04 -0500 (EST)

>I probably don't understand what you mean when you say SCSP isn't complete.

I should have been more precise - SCSP wasn't complete early in 1997 (if
memory serves) when the WG was considering it as the basis for the DHCP
synchronization protocol.

>Would an SCSP implementation reduce this complexity?

The complexity of the SCSP-based proposal arose from the comprehensivenss
of the proposed solution.  I don't think an implementation would have
reduced the complexity.

- Ralph